Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.administration
Class Constants

    java.lang.Object
      org.esupportail.portal.channels.CStockage.administration.Constants

public class Constants
extends java.lang.Object

Id: Constants.java,v 1.0 2 mai 2005
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: Constants
Original Author: Yohan Colmant
Constants used in the administration channel

Field Summary
`static java.lang.String` | `CONFIRM_DELETE_SERVER_MODE` The mode used to confirm the delete of a server
`static java.lang.String` | `CONFIRM_DELETE_SPACE_MODE` The mode used to confirm the delete of a space
`static java.lang.String` | `CONFIRM_RENAME_SERVER_MODE` The mode used to confirm the rename of a server
`static java.lang.String` | `DEFAULT_MODE` The administration default mode
`static java.lang.String` | `DEFAULT_SERVER_MODE` The administration default mode to edit the server
`static java.lang.String` | `DEFAULT_SPACE_MODE` The administration default mode to edit the space
`static java.lang.String` | `DELETE_SERVER_MODE` The mode used to delete a server
`static java.lang.String` | `DELETE_SPACE_MODE` The mode used to delete a space
`static java.lang.String` | `NEW_SERVER_MODE` After setting the name of the new server
`static java.lang.String` | `RENAME_SERVER_MODE` The mode used to rename a server
`static java.lang.String` | `SET_NEW_SERVER_NAME_MODE` To set the name of a new server
`static java.lang.String` | `VALID_SERVANT_RESULTS` The validation of servant results

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MODE

    public static final java.lang.String DEFAULT_MODE

  The administration default mode

  See Also:
    Constant Field Values

### VALID_SERVANT_RESULTS

    public static final java.lang.String VALID_SERVANT_RESULTS

  The validation of servant results

  See Also:
    Constant Field Values

### SET_NEW_SERVER_NAME_MODE

    public static final java.lang.String SET_NEW_SERVER_NAME_MODE

  To set the name of a new server

  See Also:
    Constant Field Values

### NEW_SERVER_MODE

    public static final java.lang.String NEW_SERVER_MODE

  After setting the name of the new server

  See Also:
    Constant Field Values

### CONFIRM_DELETE_SERVER_MODE

    public static final java.lang.String CONFIRM_DELETE_SERVER_MODE

  The mode used to confirm the delete of a server

  See Also:
    Constant Field Values

### DELETE_SERVER_MODE

    public static final java.lang.String DELETE_SERVER_MODE

  The mode used to delete a server

  See Also:
    Constant Field Values

### CONFIRM_RENAME_SERVER_MODE

    public static final java.lang.String CONFIRM_RENAME_SERVER_MODE

  The mode used to confirm the rename of a server

  See Also:
    Constant Field Values

### RENAME_SERVER_MODE

    public static final java.lang.String RENAME_SERVER_MODE

  The mode used to rename a server

  See Also:
    Constant Field Values

### DEFAULT_SERVER_MODE

    public static final java.lang.String DEFAULT_SERVER_MODE

  The administration default mode to edit the server

  See Also:
    Constant Field Values

### DEFAULT_SPACE_MODE

    public static final java.lang.String DEFAULT_SPACE_MODE

  The administration default mode to edit the space

  See Also:
    Constant Field Values

### CONFIRM_DELETE_SPACE_MODE

    public static final java.lang.String CONFIRM_DELETE_SPACE_MODE

  The mode used to confirm the delete of a space

  See Also:
    Constant Field Values

### DELETE_SPACE_MODE

    public static final java.lang.String DELETE_SPACE_MODE

  The mode used to delete a space

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD